<?xml version="1.0" encoding="UTF-8"?>
<!-- $Id: web.xml,v 1.10 2011/04/14 00:53:41 weiyongsen Exp $ --><!--
This is the default web application descriptor. You can put any server wide
configurations in this file.
--><web-app xmlns="http://java.sun.com/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="3.0" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee     http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd" metadata-complete="true">
  <!--################### Context Parameters ######################-->
  <context-param>
    <description>Set sendErrorToClient parameter to false if you don't want detailed
      exception stack trace sent back to client browser. You can leave it
      to true during development stage.</description>
    <param-name>sendErrorToClient</param-name>
    <param-value>false</param-value>
  </context-param>
  <context-param>
    <description>Set directoryListing parameter to false to disable directory listing
      when a welcome file not found in a directory.</description>
    <param-name>directoryListing</param-name>
    <param-value>false</param-value>
  </context-param>
  <context-param>
    <description>Set readonly parameter to true to disable doDelete() and doPut() methods</description>
    <param-name>readonly</param-name>
    <param-value>true</param-value>
  </context-param>
  <!--################### JSP Configuration ##################-->
  <context-param>
    <description>Do not compile JSP source file, usefull for pre-compiled web
      application bundles which no JSP source files shipped with.</description>
    <param-name>jsp.nocompile</param-name>
    <param-value>false</param-value>
  </context-param>
  <context-param>
    <description>Do not delete intermediate generated java source files.</description>
    <param-name>jsp.keepGenerated</param-name>
    <param-value>true</param-value>
  </context-param>
  <context-param>
    <description>Do not delete intermediate genreated java source files only when
      a event of compilation error occurred.</description>
    <param-name>jsp.keepOnError</param-name>
    <param-value>true</param-value>
  </context-param>
  <context-param>
    <description>True if generate JSP classes in separate packages, false otherwise.</description>
    <param-name>jsp.usePackages</param-name>
    <param-value>true</param-value>
  </context-param>
  <context-param>
    <description>Save template text into a separate data file and loaded at
      runtime. To reduce size of generated class file.</description>
    <param-name>jsp.useDataFile</param-name>
    <param-value>true</param-value>
  </context-param>
  <context-param>
    <description>The line number table in the generated class file is replaced
      with line numbers pointing to the source JSP file.</description>
    <param-name>jsp.sourceLineNumbers</param-name>
    <param-value>true</param-value>
  </context-param>
  <context-param>
    <description>Check modification time of all dependent files to determine
      whether recompilation is required.</description>
    <param-name>jsp.checkDependencies</param-name>
    <param-value>true</param-value>
  </context-param>
  <context-param>
    <description>Check whether the Tag class, EL expected type, jsp Import class
			had been modified before compile the jsp file.</description>
    <param-name>jsp.checkModified</param-name>
    <param-value>false</param-value>
  </context-param>
  <context-param>
    <description>set jsp compiler to jdt</description>
    <param-name>jsp.compiler</param-name>
    <param-value>builtin-jdt -g -classpath %classpath% -d %outputdir% -encoding %encoding% %source%</param-value>
  </context-param>
  <!-- 
	<filter>
    <filter-name>AntiXssFilter</filter-name>
    <filter-class>com.apusic.util.AntiXssFilter</filter-class>
    <init-param>
      <param-name>checkRefer</param-name>
      <param-value>true</param-value>
    </init-param>
   </filter>
  <filter-mapping>
    <filter-name>AntiXssFilter</filter-name>
    <url-pattern>/*</url-pattern>
  </filter-mapping>
-->
  <filter>
    <display-name>AttackFilter</display-name>
    <filter-name>AttackFilter</filter-name>
    <filter-class>com.apusic.util.AttackFilter</filter-class>
    <init-param>
      <param-name>enableAttackFilter</param-name>
      <param-value>true</param-value>
    </init-param>
    <init-param>
      <param-name>enableCSRFCheck</param-name>
      <param-value>false</param-value>
    </init-param>
    <init-param>
      <!-- CSRF WHITE LIST,SPLIT BY , -->
      <param-name>serverNameWhiteList</param-name>
      <param-value>yunzhijia.com,kdweibo.com,http://ehr.shichuangyi.cn:8080/shr,/shr/api/oAToSHR,http://oa.shichuangyi.cn,http://10.0.3.51,/shr/api/oAToMBos,/shr/api/batchApprove</param-value>
    </init-param>
    <init-param>
      <param-name>enableCSRFCheck_URL</param-name>
      <param-value>true</param-value>
    </init-param>
    <init-param>
      <param-name>allow_URLS</param-name>
      <param-value>/ormrpc/,/eassso/YZJCallbackServlet/,/portal/easrpc/,/plt_cm/,/plt_cm/content/,/plt_cm/content/easrpc/,/easweb/servlet/,/easportal/openapi/,/shr/api/oAToSHR,/shr/api/oAToMBos,/shr/api/batchApprove</param-value>
    </init-param>
    <init-param>
      <param-name>enableCSRFCheck_POST</param-name>
      <param-value>false</param-value>
    </init-param>
  </filter>
  <filter-mapping>
    <filter-name>AttackFilter</filter-name>
    <url-pattern>/*</url-pattern>
  </filter-mapping>
  <filter>
    <display-name>AttachmentFilter</display-name>
    <filter-name>AttachmentFilter</filter-name>
    <filter-class>com.kingdee.eas.cp.common.web.filters.AttachmentFilter</filter-class>
    <init-param>
      <param-name>enableAttachmentFilter</param-name>
      <param-value>true</param-value>
    </init-param>
    <init-param>
      <param-name>allowedExtensions</param-name>
      <param-value>txt,pdf,doc,docx,xls,xlsx,xlsm,ppt,pptx,rft,rtf,jpg,png,bmp,gif,jpeg,tiff,tif,rar,zip,dat,hrl,key,msg,cad,avi,btw,rmvb,wps,et,dps,vsd,mod,dwg,prn,lic,csv,ini,mp3,mpeg,mpg,sys,wav,mp4,dts,eml,ofd</param-value>
    </init-param>
  </filter>
  <filter-mapping>
    <filter-name>AttachmentFilter</filter-name>
    <url-pattern>/*</url-pattern>
  </filter-mapping>
  <filter>
    <filter-name>OOMDetectedFilter</filter-name>
    <filter-class>com.kingdee.bos.monitor.OOMDetectedFilter</filter-class>
    <init-param>
      <param-name>checkRefer</param-name>
      <param-value>true</param-value>
    </init-param>
    <init-param>
      <param-name>checkOOM</param-name>
      <param-value>true</param-value>
    </init-param>
  </filter>
  <filter-mapping>
    <filter-name>OOMDetectedFilter</filter-name>
    <url-pattern>/*</url-pattern>
  </filter-mapping>
  <!--################### Servlet Registration ##################-->
  <servlet>
    <description>default servlet</description>
    <servlet-name>default</servlet-name>
    <servlet-class>com.apusic.web.servlet.FileServlet</servlet-class>
    <load-on-startup>0</load-on-startup>
  </servlet>
  <servlet>
    <description>Service JSP files</description>
    <servlet-name>jsp</servlet-name>
    <servlet-class>com.apusic.web.jsp.JspServlet</servlet-class>
    <load-on-startup>0</load-on-startup>
  </servlet>
  <servlet>
    <description>Dynamicly load servlets</description>
    <servlet-name>invoker</servlet-name>
    <servlet-class>com.apusic.web.servlet.InvokerServlet</servlet-class>
  </servlet>
  <servlet>
    <description>Process legacy CGI programs</description>
    <servlet-name>cgi</servlet-name>
    <servlet-class>com.apusic.web.servlet.CGIServlet</servlet-class>
  </servlet>
  <servlet>
    <description>Process Server Side Includes</description>
    <servlet-name>ssi</servlet-name>
    <servlet-class>com.apusic.web.servlet.SSIServlet</servlet-class>
  </servlet>
  <!--##################### Servelet Mappings #####################-->
  <servlet-mapping>
    <servlet-name>jsp</servlet-name>
    <url-pattern>*.jsp</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>jsp</servlet-name>
    <url-pattern>*.jspx</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>invoker</servlet-name>
    <url-pattern>/servlet/*</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>cgi</servlet-name>
    <url-pattern>/cgi-bin/*</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ssi</servlet-name>
    <url-pattern>*.shtml</url-pattern>
  </servlet-mapping>
  <!--##################### Default JSP Config ######################-->
  <jsp-config>
    <jsp-property-group>
      <description>default JSP property group</description>
      <url-pattern>*.jsp</url-pattern>
      <el-ignored>false</el-ignored>
      <scripting-invalid>false</scripting-invalid>
    </jsp-property-group>
    <jsp-property-group>
      <description>default JSPX property group</description>
      <url-pattern>*.jspx</url-pattern>
      <el-ignored>false</el-ignored>
      <scripting-invalid>false</scripting-invalid>
      <is-xml>true</is-xml>
    </jsp-property-group>
  </jsp-config>
  <!--################### Default Session Timeout ####################-->
  <session-config>
    <session-timeout>30</session-timeout>
    <cookie-config>
      <http-only>true</http-only>
    </cookie-config>
  </session-config>
  <!--#################### Default MIME Mappings #####################-->
  <mime-mapping>
    <extension>txt</extension>
    <mime-type>text/plain</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>html</extension>
    <mime-type>text/html</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>htm</extension>
    <mime-type>text/html</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>abs</extension>
    <mime-type>audio/x-mpeg</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>ai</extension>
    <mime-type>application/postscript</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>aif</extension>
    <mime-type>audio/x-aiff</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>aifc</extension>
    <mime-type>audio/x-aiff</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>aiff</extension>
    <mime-type>audio/x-aiff</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>aim</extension>
    <mime-type>application/x-aim</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>art</extension>
    <mime-type>image/x-jg</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>asf</extension>
    <mime-type>video/x-ms-asf</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>asx</extension>
    <mime-type>video/x-ms-asf</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>au</extension>
    <mime-type>audio/basic</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>avi</extension>
    <mime-type>video/x-msvideo</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>avx</extension>
    <mime-type>video/x-rad-screenplay</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>bcpio</extension>
    <mime-type>application/x-bcpio</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>bin</extension>
    <mime-type>application/octet-stream</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>bmp</extension>
    <mime-type>image/bmp</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>body</extension>
    <mime-type>text/html</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>cdf</extension>
    <mime-type>application/x-cdf</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>cer</extension>
    <mime-type>application/x-x509-ca-cert</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>class</extension>
    <mime-type>application/java</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>cpio</extension>
    <mime-type>application/x-cpio</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>crt</extension>
    <mime-type>application/x-x509-ca-cert</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>csh</extension>
    <mime-type>application/x-csh</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>css</extension>
    <mime-type>text/css</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>dcr</extension>
    <mime-type>application/x-director</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>der</extension>
    <mime-type>application/x-x509-ca-cert</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>dib</extension>
    <mime-type>image/bmp</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>dir</extension>
    <mime-type>application/x-director</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>dms</extension>
    <mime-type>application/octet-stream</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>doc</extension>
    <mime-type>application/msword</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>dtd</extension>
    <mime-type>text/plain</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>dv</extension>
    <mime-type>video/x-dv</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>dvi</extension>
    <mime-type>application/x-dvi</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>dxr</extension>
    <mime-type>application/x-director</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>eps</extension>
    <mime-type>application/postscript</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>etx</extension>
    <mime-type>text/x-setext</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>exe</extension>
    <mime-type>application/octet-stream</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>fif</extension>
    <mime-type>application/fractals</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>gif</extension>
    <mime-type>image/gif</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>gtar</extension>
    <mime-type>application/x-gtar</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>gz</extension>
    <mime-type>application/x-gzip</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>hdf</extension>
    <mime-type>application/x-hdf</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>hqx</extension>
    <mime-type>application/mac-binhex40</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>htc</extension>
    <mime-type>text/x-component</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>htm</extension>
    <mime-type>text/html</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>html</extension>
    <mime-type>text/html</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>ice</extension>
    <mime-type>x-conference/x-cooltalk</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>ief</extension>
    <mime-type>image/ief</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>jad</extension>
    <mime-type>text/vnd.sun.j2me.app-descriptor</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>jar</extension>
    <mime-type>application/java-archive</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>java</extension>
    <mime-type>text/plain</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>jnlp</extension>
    <mime-type>application/x-java-jnlp-file</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>jpe</extension>
    <mime-type>image/jpeg</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>jpeg</extension>
    <mime-type>image/jpeg</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>jpg</extension>
    <mime-type>image/jpeg</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>js</extension>
    <mime-type>text/javascript</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>jsf</extension>
    <mime-type>text/plain</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>jspf</extension>
    <mime-type>text/plain</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>kar</extension>
    <mime-type>audio/x-midi</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>latex</extension>
    <mime-type>application/x-latex</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>lha</extension>
    <mime-type>application/octet-stream</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>lzh</extension>
    <mime-type>application/octet-stream</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>m3u</extension>
    <mime-type>audio/x-mpegurl</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>mac</extension>
    <mime-type>image/x-macpaint</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>man</extension>
    <mime-type>application/x-troff-man</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>me</extension>
    <mime-type>application/x-troff-me</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>mid</extension>
    <mime-type>audio/x-midi</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>midi</extension>
    <mime-type>audio/x-midi</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>mif</extension>
    <mime-type>application/x-mif</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>mov</extension>
    <mime-type>video/quicktime</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>movie</extension>
    <mime-type>video/x-sgi-movie</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>mp1</extension>
    <mime-type>audio/x-mpeg</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>mp2</extension>
    <mime-type>audio/x-mpeg</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>mp3</extension>
    <mime-type>audio/x-mpeg</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>mpa</extension>
    <mime-type>audio/x-mpeg</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>mpe</extension>
    <mime-type>video/mpeg</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>mpeg</extension>
    <mime-type>video/mpeg</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>mpega</extension>
    <mime-type>audio/x-mpeg</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>mpg</extension>
    <mime-type>video/mpeg</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>mpga</extension>
    <mime-type>audio/mpeg</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>mpv2</extension>
    <mime-type>video/mpeg2</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>ms</extension>
    <mime-type>application/x-wais-source</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>nc</extension>
    <mime-type>application/x-netcdf</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>oda</extension>
    <mime-type>application/oda</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>p7c</extension>
    <mime-type>application/pkcs7-mime</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>pbm</extension>
    <mime-type>image/x-portable-bitmap</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>pct</extension>
    <mime-type>image/pict</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>pdb</extension>
    <mime-type>chemical/x-pdb</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>pdf</extension>
    <mime-type>application/pdf</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>pgm</extension>
    <mime-type>image/x-portable-graymap</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>pic</extension>
    <mime-type>image/pict</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>pict</extension>
    <mime-type>image/pict</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>pls</extension>
    <mime-type>audio/x-scpls</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>png</extension>
    <mime-type>image/png</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>pnm</extension>
    <mime-type>image/x-portable-anymap</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>pnt</extension>
    <mime-type>image/x-macpaint</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>ppm</extension>
    <mime-type>image/x-portable-pixmap</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>ppt</extension>
    <mime-type>application/powerpoint</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>ps</extension>
    <mime-type>application/postscript</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>psd</extension>
    <mime-type>image/x-photoshop</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>qt</extension>
    <mime-type>video/quicktime</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>qti</extension>
    <mime-type>image/x-quicktime</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>qtif</extension>
    <mime-type>image/x-quicktime</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>ras</extension>
    <mime-type>image/x-cmu-raster</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>ra</extension>
    <mime-type>audio/x-realaudio</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>ram</extension>
    <mime-type>audio/x-pn-realaudio</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>rgb</extension>
    <mime-type>image/x-rgb</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>rm</extension>
    <mime-type>application/vnd.rn-realmedia</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>rmi</extension>
    <mime-type>audio/mid</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>roff</extension>
    <mime-type>application/x-troff</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>rpm</extension>
    <mime-type>audio/x-pn-realaudio-plugin</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>rtf</extension>
    <mime-type>application/rtf</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>rtx</extension>
    <mime-type>text/richtext</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>sd2</extension>
    <mime-type>audio/x-sd2</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>sh</extension>
    <mime-type>application/x-sh</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>shar</extension>
    <mime-type>application/x-shar</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>shtml</extension>
    <mime-type>text/html</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>smf</extension>
    <mime-type>audio/x-midi</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>sit</extension>
    <mime-type>application/x-stuffit</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>snd</extension>
    <mime-type>audio/basic</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>src</extension>
    <mime-type>application/x-wais-source</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>sv4cpio</extension>
    <mime-type>application/x-sv4cpio</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>sv4crc</extension>
    <mime-type>application/x-sv4crc</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>swf</extension>
    <mime-type>application/x-shockwave-flash</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>t</extension>
    <mime-type>application/x-troff</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>tar</extension>
    <mime-type>application/x-tar</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>tcl</extension>
    <mime-type>application/x-tcl</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>tex</extension>
    <mime-type>application/x-tex</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>texi</extension>
    <mime-type>application/x-texinfo</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>texinfo</extension>
    <mime-type>application/x-texinfo</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>tgz</extension>
    <mime-type>application/x-compressed</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>tif</extension>
    <mime-type>image/tiff</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>tiff</extension>
    <mime-type>image/tiff</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>tr</extension>
    <mime-type>application/x-troff</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>tsv</extension>
    <mime-type>text/tab-separated-values</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>txt</extension>
    <mime-type>text/plain</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>ulw</extension>
    <mime-type>audio/basic</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>ustar</extension>
    <mime-type>application/x-ustar</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>xbm</extension>
    <mime-type>image/x-xbitmap</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>xht</extension>
    <mime-type>application/xhtml+xml</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>xhtml</extension>
    <mime-type>application/xhtml+xml</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>xml</extension>
    <mime-type>text/xml</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>xpm</extension>
    <mime-type>image/x-xpixmap</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>xsl</extension>
    <mime-type>text/xml</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>xwd</extension>
    <mime-type>image/x-xwindowdump</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>wav</extension>
    <mime-type>audio/x-wav</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>svg</extension>
    <mime-type>image/svg+xml</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>svgz</extension>
    <mime-type>image/svg+xml</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>vrml</extension>
    <mime-type>x-world/x-vrml</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>vsd</extension>
    <mime-type>application/x-visio</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>wbmp</extension>
    <mime-type>image/vnd.wap.wbmp</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>wma</extension>
    <mime-type>audio/x-ms-wma</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>wax</extension>
    <mime-type>audio/x-ms-wax</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>wmv</extension>
    <mime-type>audio/x-ms-wmv</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>wvx</extension>
    <mime-type>video/x-ms-wvx</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>wm</extension>
    <mime-type>video/x-ms-wm</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>wmx</extension>
    <mime-type>video/x-ms-wmx</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>wmz</extension>
    <mime-type>application/x-ms-wmz</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>wmd</extension>
    <mime-type>application/x-ms-wmd</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>wml</extension>
    <mime-type>text/vnd.wap.wml</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>wmlc</extension>
    <mime-type>application/vnd.wap.wmlc</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>wmls</extension>
    <mime-type>text/vnd.wap.wmlscript</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>wmlscriptc</extension>
    <mime-type>application/vnd.wap.wmlscriptc</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>wrl</extension>
    <mime-type>x-world/x-vrml</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>xyz</extension>
    <mime-type>chemical/x-pdb</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>Z</extension>
    <mime-type>application/x-compress</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>z</extension>
    <mime-type>application/x-compress</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>zip</extension>
    <mime-type>application/zip</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>rar</extension>
    <mime-type>application/rar</mime-type>
  </mime-mapping>
  <mime-mapping>
    <extension>chm</extension>
    <mime-type>application/mshelp</mime-type>
  </mime-mapping>
  <!--##################### Welcome Files #########################-->
  <welcome-file-list>
    <welcome-file>index.html</welcome-file>
    <welcome-file>index.jsp</welcome-file>
  </welcome-file-list>
  <!--############# Default locale encoding Mappings ##############-->
  <locale-encoding-mapping-list>
    <locale-encoding-mapping>
      <locale>ar</locale>
      <encoding>ISO-8859-6</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>be</locale>
      <encoding>ISO-8859-5</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>bg</locale>
      <encoding>ISO-8859-5</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>ca</locale>
      <encoding>ISO-8859-1</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>cs</locale>
      <encoding>ISO-8859-2</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>da</locale>
      <encoding>ISO-8859-1</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>de</locale>
      <encoding>ISO-8859-1</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>el</locale>
      <encoding>ISO-8859-7</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>en</locale>
      <encoding>ISO-8859-1</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>es</locale>
      <encoding>ISO-8859-1</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>et</locale>
      <encoding>ISO-8859-1</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>fi</locale>
      <encoding>ISO-8859-1</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>fr</locale>
      <encoding>ISO-8859-1</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>hr</locale>
      <encoding>ISO-8859-2</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>hu</locale>
      <encoding>ISO-8859-2</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>is</locale>
      <encoding>ISO-8859-1</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>it</locale>
      <encoding>ISO-8859-1</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>iw</locale>
      <encoding>ISO-8859-8</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>ja</locale>
      <encoding>Shift_JIS</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>ko</locale>
      <encoding>EUC-KR</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>lt</locale>
      <encoding>ISO-8859-2</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>lv</locale>
      <encoding>ISO-8859-2</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>mk</locale>
      <encoding>ISO-8859-5</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>nl</locale>
      <encoding>ISO-8859-1</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>no</locale>
      <encoding>ISO-8859-1</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>pl</locale>
      <encoding>ISO-8859-2</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>pt</locale>
      <encoding>ISO-8859-1</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>ro</locale>
      <encoding>ISO-8859-2</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>ru</locale>
      <encoding>ISO-8859-5</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>sh</locale>
      <encoding>ISO-8859-5</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>sk</locale>
      <encoding>ISO-8859-2</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>sl</locale>
      <encoding>ISO-8859-2</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>sq</locale>
      <encoding>ISO-8859-2</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>sr</locale>
      <encoding>ISO-8859-5</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>sv</locale>
      <encoding>ISO-8859-1</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>tr</locale>
      <encoding>ISO-8859-9</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>uk</locale>
      <encoding>ISO-8859-5</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>zh</locale>
      <encoding>GB2312</encoding>
    </locale-encoding-mapping>
    <locale-encoding-mapping>
      <locale>zh_TW</locale>
      <encoding>Big5</encoding>
    </locale-encoding-mapping>
  </locale-encoding-mapping-list>
  <mime-mapping xmlns="http://java.sun.com/xml/ns/j2ee">
    <extension>xls</extension>
    <mime-type>application/msexcel</mime-type>
  </mime-mapping>
</web-app>
